Skip to main content
GET
Retrieve commission

Authorizations

Authorization
string
header
required

Rye API key

Scopes

billing:read

Path Parameters

id
string
required

The id of the commission to look up

Response

Commission details

A commission earned (or owed) on a completed checkout intent.

updatedAt
string<date-time>
required

Time the commission last changed (e.g. status transition).

createdAt
string<date-time>
required

Time the commission was first recorded.

ryeFee
object
required

Fee retained by Rye.

developerCommission
object
required

Commission amount paid to the developer.

settlementDirection
enum<string>
required

Whether Rye owes the developer or vice versa once settled.

Available options:
rye_owes_developer,
developer_owes_rye
status
enum<string>
required

Lifecycle status, e.g. pending, finalized, refunded.

Available options:
pending,
confirmed,
updated,
finalized,
refunded,
expired
type
enum<string>
required

Kind of commission, e.g. surcharge, discount_code, affiliate.

Available options:
surcharge,
promo_arbitrage,
discount_code,
affiliate,
out_of_band
checkoutIntentId
string
required

The checkout intent this commission was generated from.

id
string
required

Unique identifier for this commission.

finalizedAt
string<date-time>

Time the commission moved to a terminal status. Unset until finalized.